XMLEvent (XML Standard API)
Keywords: javax.xml.stream.events.XMLEvent interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream.events
Interface XMLEvent

All Superinterfaces:
  XMLStreamConstants

All Known Subinterfaces:
  Attribute, Characters, Comment, DTD, EndDocument, EndElement, EntityDeclaration, EntityReference, Namespace, NotationDeclaration, ProcessingInstruction, StartDocument, StartElement

    public interface XMLEvent

extends XMLStreamConstants

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`Characters` | `asCharacters()`
`EndElement` | `asEndElement()`
`StartElement` | `asStartElement()`
`int` | `getEventType()`
`Location` | `getLocation()`
`QName` | `getSchemaType()`
`boolean` | `isAttribute()`
`boolean` | `isCharacters()`
`boolean` | `isEndDocument()`
`boolean` | `isEndElement()`
`boolean` | `isEntityReference()`
`boolean` | `isNamespace()`
`boolean` | `isProcessingInstruction()`
`boolean` | `isStartDocument()`
`boolean` | `isStartElement()`
`void` | `writeAsEncodedUnicode(java.io.Writer writer)`

Method Detail

### asCharacters

    Characters asCharacters()

### asEndElement

    EndElement asEndElement()

### asStartElement

    StartElement asStartElement()

### getEventType

    int getEventType()

### getLocation

    Location getLocation()

### getSchemaType

    QName getSchemaType()

### isAttribute

    boolean isAttribute()

### isCharacters

    boolean isCharacters()

### isEndDocument

    boolean isEndDocument()

### isEndElement

    boolean isEndElement()

### isEntityReference

    boolean isEntityReference()

### isNamespace

    boolean isNamespace()

### isProcessingInstruction

    boolean isProcessingInstruction()

### isStartDocument

    boolean isStartDocument()

### isStartElement

    boolean isStartElement()

### writeAsEncodedUnicode

    void writeAsEncodedUnicode(java.io.Writer writer)
                               throws XMLStreamException

  Throws:
    `XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.